# compress

Enables GZIP compression of each HTTP payload sent by omhttp.

This parameter applies to omhttp: HTTP Output Module.

Name:

  compress

Scope:

  input

Type:

  boolean

Default:

  input=off

Required?:

  no

Introduced:

  Not specified

## Description

When switched to `on` each message will be compressed as GZIP using zlib’s deflate compression algorithm.

A `Content-Encoding: gzip` HTTP header is added to each request when this feature is used. Set the compress.level for fine-grained control.

## Input usage

    module(load="omhttp")

    action(
        type="omhttp"
        compress="on"
        compressLevel="6"
    )

## See also

See also omhttp: HTTP Output Module.

Support: rsyslog Assistant | GitHub Discussions | GitHub Issues: rsyslog source project

Contributing: Source & docs: rsyslog source project

© 2008–2025 Rainer Gerhards and others. Licensed under the Apache License 2.0.